package com.ygtx.gxt.mapper;

import java.util.List;
import com.ygtx.gxt.domain.GxtFaultCodes;

/**
 * 故障代码管理Mapper接口
 * 
 * @author ouyj
 * @date 2025-10-29
 */
public interface GxtFaultCodesMapper 
{
    /**
     * 查询故障代码管理
     * 
     * @param id 故障代码管理主键
     * @return 故障代码管理
     */
    public GxtFaultCodes selectGxtFaultCodesById(Long id);

    /**
     * 查询故障代码管理列表
     * 
     * @param gxtFaultCodes 故障代码管理
     * @return 故障代码管理集合
     */
    public List<GxtFaultCodes> selectGxtFaultCodesList(GxtFaultCodes gxtFaultCodes);

    /**
     * 根据故障代码查询故障代码管理
     * 
     * @param faultCode 故障代码
     * @return 故障代码管理
     */
    public GxtFaultCodes selectGxtFaultCodesByFaultCode(String faultCode);

    /**
     * 新增故障代码管理
     * 
     * @param gxtFaultCodes 故障代码管理
     * @return 结果
     */
    public int insertGxtFaultCodes(GxtFaultCodes gxtFaultCodes);

    /**
     * 修改故障代码管理
     * 
     * @param gxtFaultCodes 故障代码管理
     * @return 结果
     */
    public int updateGxtFaultCodes(GxtFaultCodes gxtFaultCodes);

    /**
     * 删除故障代码管理
     * 
     * @param id 故障代码管理主键
     * @return 结果
     */
    public int deleteGxtFaultCodesById(Long id);

    /**
     * 批量删除故障代码管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGxtFaultCodesByIds(Long[] ids);
}